"Role"
•
Environment: onsite, online
Some tooltip text!
• 1 minute to read
• 1 minute to read
This provider name is implemented by the class
Archive of Roles - used by the web api. Lists all Roles in table.
Supported Entities
| Name | Description |
|---|---|
| "role" | role |
Supported Columns
| Name | Restriction | Description | OrderBy |
|---|---|---|---|
| getAllRows | bool | GetAll: Get all rows of archive - use with care, you may be fetching the whole database | |
| getNoRows | bool | GetNone: Do not get any rows from the archive | |
| roleId | int | RoleId | x |
| name | string | Role name | x |
| description | string | Description | x |
| roleTypeId | int | Role Type Id | x |
| roleTypeName | None | Role Type | |
| useCategories | bool | Use Categories | x |
| rank | int | Rank | x |
| isDeleted | bool | Is Deleted | x |
| updatedBy | associate | Updated by: The user who last updated the data | x |
| updatedDate | date | Updated: The date/time the data was last updated in UTC. | x |
| registeredBy | associate | Registered by: The user who registered the data | x |
| registeredDate | date | Registered date: The date/time the data was registered in UTC. | x |
Sample
GET /api/v1/archive/Role?$select=description,useCategories
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
See also: